Bug 141439 - (gpdf) swap storm and OOM
(gpdf) swap storm and OOM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
http://www.free-culture.cc/freecultur...
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-11-30 23:38 EST by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 14:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 160067 None None None Never

  None (edit)
Description Warren Togami 2004-11-30 23:38:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
gpdf rapidly spikes memory usage to almost 1GB (virt) when you PageDown from page 254 to 255 of this large PDF.  On my 1GB RAM laptop, this causes a swap storm and sometimes OOM.  If the system survives the swap storm, it settles to about 505MB (virt) when viewing page 255.  PageDown again into page 256 reduced memory usage to 60MB (virt).

xpdf-3.0.0 and ggv-2.8.0 are unaffected by this problem.

Version-Release number of selected component (if applicable):
gpdf-2.8.0-8

How reproducible:
Always

Steps to Reproduce:
1.
2.adsfa
3.
  

Additional info:
Comment 1 Marco Pesenti Gritti 2004-12-01 04:50:05 EST
Easily reproducable, reported upstream.
Comment 2 Ray Strode [halfline] 2005-04-07 14:59:23 EDT
we aren't shipping gpdf anymore. Let's close this bug.

Note You need to log in before you can comment on or make changes to this bug.